using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;

namespace digioz
{
    public class Extensions
    {
        private int ciID;
        private string csName;
        private string csType;
        private bool cbAllowed;
        private string csMimeType;

        public Extensions()
        {}

        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string Name
        {
            get { return csName; }
            set { csName = value; }
        }

        public string Type
        {
            get { return csType; }
            set { csType = value; }
        }

        public bool Allowed
        {
            get { return cbAllowed; }
            set { cbAllowed = value; }
        }

        public string MimeType
        {
            get { return csMimeType; }
            set { csMimeType = value; }
        }
    }

    public class ExtensionsList : BindingList<Extensions>
    {
        public ExtensionsList()
        { }
    }
}
